org.eclipse.mat.hprof

## Class EnhancerRegistry

- java.lang.Object
- - org.eclipse.mat.util.RegistryReader<EnhancerRegistry.Enhancer>
  - - org.eclipse.mat.hprof.EnhancerRegistry

All Implemented Interfaces:
  IExtensionChangeHandler

    public class EnhancerRegistry
    extends RegistryReader<EnhancerRegistry.Enhancer>

### Nested Class Summary

Nested Classes
`static class` `EnhancerRegistry.Enhancer`

### Method Summary

All Methods Static Methods Concrete Methods
`static EnhancerRegistry` `instance()`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static EnhancerRegistry instance()